VMware non funzionerà dopo l'aggiornamento di Ubuntu

19

Ho aggiornato a Ubuntu 15.10 e ora se voglio aprire VMware Player non fa nulla. Ho anche disinstallato e installato di nuovo, ancora niente.

Che cosa posso fare?

    
posta 123 24.10.2015 - 00:13
fonte

1 risposta

35

La seguente soluzione si applica alle versioni di VMware precedenti alla 12.1.0. La versione 12.1.0 di VMWare non richiede questa correzione.

VMWare e VMPlayer sono in effetti alla ricerca di una stringa di libreria specifica. È possibile eseguire VMWare / VMPlayer dal terminale eseguendo

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1/:$LD_LIBRARY_PATH

then vmware o vmplayer

Ho reso questo un cambiamento permanente sul mio sistema eseguendo invece

eseguendo sudo nano /usr/bin/vmware e aggiungendo la riga

export LD_LIBRARY_PATH=/usr/lib/vmware/lib/libglibmm-2.4.so.1

dopo la riga export PRODUCT_NAME...

Premi ctrl + o per salvare e ctrl + x per uscire: VMWare funzionerà ora.

Per eseguire la stessa funzione per VMPlayer, esegui le stesse modifiche su /usr/bin/vmplayer

    
risposta data Charles Green 24.10.2015 - 00:51
fonte

Leggi altre domande sui tag